{
  "type": "minecraft:crafting_shaped",
  "key": {
    "#": {
      "tag": "forge:plates/iron"
    },
    "+": {
      "item": "minecraft:campfire"
    }
  },
  "pattern": [
    "#+#"
  ],
  "result": {
    "item": "railways:smokestack_streamlined"
  }
}